Ticket #41306

3.0.0.1: English version quest info

Open Date: 2021-01-21 10:38 Last Update: 2021-01-24 11:15

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
1 - Lowest
Severity:
1 - Lowest
Resolution:
Fixed
File:
None

Details

Using 3.0.0.1 compiled for English and a newly created character, going to the inn or mayor's office in Outpost and pressing 'q' to request a quest displays the line for the danger level of the quest but none of the quest details. Similarly, the current quests which are not random only show the danger level line when the knowledge menu is used to display the player's quest information: the details for those current non-random quests are not shown.

This commit, https://osdn.net/projects/hengbandforosx/scm/git/hengbandosx/commits/62e126eef62b77915acf5fabba82f1f5daadd33b , on the english-quest-info branch (based on hengband's develop branch) of hengbandforosx has a change to src/floor/fixed-map-generator.c that appears to resolve both of those problems.

Ticket History (3/5 Histories)

2021-01-21 10:38 Updated by: backwardseric
  • New Ticket "3.0.0.1: English version quest info" created
2021-01-21 22:31 Updated by: deskull
2021-01-23 11:47 Updated by: hourier
  • Owner Update from deskull to hourier
  • Resolution Update from None to Accepted
2021-01-23 12:51 Updated by: hourier
  • Owner Update from hourier to deskull
  • Resolution Update from Accepted to Fixed
Comment

修正しました
ブランチfeature/Fix-English-Bugs にpush予定です

2021-01-24 11:15 Updated by: deskull
  • Status Update from Open to Closed
  • Owner Update from deskull to hourier
Comment

他件と含めてマージ完了。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login